package com.fjhx.victoriatourist.service.jd.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.victoriatourist.entity.jd.dto.JdRefundQualityCheckSelectDto;
import com.fjhx.victoriatourist.entity.jd.po.JdRefundQualityCheck;
import com.fjhx.victoriatourist.entity.jd.vo.JdRefundQualityCheckVo;
import com.fjhx.victoriatourist.mapper.jd.JdRefundQualityCheckMapper;
import com.fjhx.victoriatourist.service.jd.JdRefundQualityCheckService;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.ruoyi.common.utils.wrapper.SqlField;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 京东售后退货质检 服务实现类
 * </p>
 *
 * @author
 * @since 2024-09-27
 */
@Service
public class JdRefundQualityCheckServiceImpl extends ServiceImpl<JdRefundQualityCheckMapper, JdRefundQualityCheck> implements JdRefundQualityCheckService {

    @Override
    public Page<JdRefundQualityCheckVo> getPage(JdRefundQualityCheckSelectDto dto) {
        IWrapper<JdRefundQualityCheck> wrapper = getWrapper()
                .keyword(dto.getKeyword(),
                        new SqlField("jrqc.code"),
                        new SqlField("pi.name"),
                        new SqlField("pi.custom_code"),
                        new SqlField("su.user_name")
                )
                .orderByDesc("jrqc", JdRefundQualityCheck::getId);
        Page<JdRefundQualityCheckVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

}
